use mail_app::startup::run;
use mail_app::configuration::get_configuration;
use std::net::TcpListener;

#[actix_web::main]
async fn main() -> std::io::Result<()> {
    // Attempt to read from config
    let configuration = get_configuration().expect("Failed to read configuration data.");

    // Take port from settings file
    let address = format!("127.0.0.1:{}", configuration.application_port);
    let listener = TcpListener::bind(address)?;
    run(listener)?.await
}